libogg documentation | libogg release 1.3.6 - 20250616

# oggpack_writeinit

declared in "ogg/ogg.h";

This function initializes an oggpack_buffer for writing using the Ogg bitpacking functions.

    void  oggpack_writeinit(oggpack_buffer *b);

### Parameters

b
  Buffer to be used for writing. This is an ordinary data buffer with some extra markers to ease bit navigation and manipulation.

### Return Values

> No values are returned. If initialization fail, the buffer is unusable and calls to oggpack_writecheck() will report the error.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.6 - 20250616